using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;
using System.Threading;

namespace PhotoStore
{
    /// <summary>
    /// Interaction logic for Page1.xaml
    /// </summary>

    public partial class Page1 : Page
    {

        public Page1()
        {
           InitializeComponent();

           Photos = (PhotoList)(Application.Current.Resources["Photos"] as ObjectDataProvider).Data;
           PhotoTray = (PrintList)(Application.Current.Resources["PhotoTray"] as ObjectDataProvider).Data;  
        }


        PhotoList Photos;
        PrintList PhotoTray;
        Style PhotosListBoxItemStyle;
        TriggerBase[] PhotosListBoxItemTriggers;

        private void PageLoaded(object sender, RoutedEventArgs e)
        {
        }

        private void AddToPhotoTray(object sender, RoutedEventArgs e)
        {
            if (PrintTypeComboBox.SelectedItem != null)
            {
                foreach (Photo p in PhotosListBox.SelectedItems)
                {
                    Print print = GetPrintFromPhotoTray(p, PrintTypeComboBox.SelectedItem as PrintType);

                    if (print != null)
                    {
                        print.Quantity++;
                    }
                    else
                    {
                        print = new Print(p, PrintTypeComboBox.SelectedItem as PrintType, 1);
                        PhotoTray.Add(print);
                    }
                }
            }
        }

        private void Upload(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i <= 100; i++)
            {
                UploadProgressBar.Value = i;
            }
        }

        private Print GetPrintFromPhotoTray(Photo photo, PrintType printtype)
        {
            foreach (Print print in PhotoTray)
            {
                if (print.Photo == photo && print.PrintType == printtype)
                {
                    return print;
                }
            }
            return null;
        }

        private void HandleShowLocalPhotosChanged(object sender, RoutedEventArgs e)
        {

            // Only handle when app has already started
            if (Photos != null)
            {
                PhotosListBox.SelectedIndex = -1;
                Photos.IncludeLocalPhotos = ShowLocalPhotos.IsChecked.Value;
                PhotosListBox.SelectedIndex = 0;
            }
            
        }

    }
}